Subject: Re: [SAM] SAMTK @irtf69

From: Eiichi Muramoto <[email-masked]>
Date: Tue, 18 Sep 2007 13:31:25 +0900

Hello

> We are currently implement ALM plugin as a "manual ALM" plugin.
> So one can manually control the topology of ALM.

I saw the demonstration of the alpha version of SAMTK last week. 
It worked. I think SAMTK can provide group membership management
function to ALM researcher. ALM researcher do not want to develop 
such a function because it is not core. If they use SAMTK they need not 
develop those.
If a researcher develop "automatic ALM" plugin, he/she can use 
SAMTK group management function and SAMTK sample application 
like VC with M-JPEG and G7xx.

I think the "manual ALM" plugin will be a skeleton for ALM researchers.

Best Regards,
Eiichi Muramoto

On Tue, 18 Sep 2007 13:00:22 +0900
Nobuo Kawaguchi <[email-masked]> wrote:

> Dear all SAM-rg members,
> 
> > Jun Lei wrote:
> >
> > I would like to take this a step further. I would have liked one common
> > API not only for ALM, but that also can make use of native multicast
> > whenever possible. It is not easy, but I would like application
> > developers to have an easy way of using multicast where native multicast
> > should be the preferred way (at least IMO), and make use of ALM if that
> > is not available.
> > 
> > Stig
> 
> I'm in almost same idea.
> Currently, in SAMTK, we are trying to provide
>   - XCAST6 plugin (done!)
>   - Multicast plugin (almost done)
>   - ALM plugin (not yet)
> In SAMTK, most simple multipoint communication mean is multiple UDP.
> 
> We are currently implement ALM plugin as a "manual ALM" plugin.
> So one can manually control the topology of ALM.
> 
> yours,
> 
> Nobuo Kawaguchi
> 
> 
> _______________________________________________
> SAM mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/sam

_______________________________________________
SAM mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sam

---

From: "Lim Boon Ping" <[email-masked]>
Date: Tue, 18 Sep 2007 19:13:48 +0800

Dear all,

Thank you for your warm responses! 

> I think the "manual ALM" plugin will be a skeleton for ALM researchers.

I think it's indeed beneficial to the RG by providing list of wrapper API for
topology management, which would further facilitate seamless integration of
"automatic ALM" plugin" into framework like SAMTK. But it's definitely not an
easy task to cover ALM/OM/Native Multicast in one simple list of wrapper API,
considering the functions and parameters required by each protocol are
different.

> > >how the preliminary structure for the topology management and data     >
> >distribution will be included in the API will be another question.     > >
>Since the topology construction may have different mechanisms to       > >
>construct the overlay and topology may also be different, it would be  > >
>nice to aggregate some of the general methods and leave the specific   > >
>ones untouched.

Take the existing ALM/OM protocol/framework as an example, existing ALM
protocols can be largely divided into two clusters: centralized topology
management (such as ALMI) and distributed topology management (such as
Narada, NICE, YOID, Bayeux etc). In centralized approach, topology
construction/reconstruction/refinement is triggered at centralized server
node and the constructed forwarding path is subsequently distributed to all
client nodes. On the other hand, in distributed approach, client node
initiates connection request to root/parent node in order to setup forwarding
path. The role of topology construction/reconstruction/refinement can be
triggered or performed by the parent/child/root node.  

It will be good to compile a common list of parameters/values required for
ALM plugin, considering different architecture and role of a node which
trigger the functions in ALM plugin.

Best Regards,
Boon Ping

-----Original Message-----
From: Eiichi Muramoto [mailto:[email-masked]] 
Sent: Tuesday, September 18, 2007 12:31 PM
To: [email-masked]
Subject: Re: [SAM] SAMTK @irtf69

Hello

Best Regards,
Eiichi Muramoto